diff -Naur pdns/backends/bind/bindbackend.cc.orig pdns/backends/bind/bindbackend.cc
--- pdns/backends/bind/bindbackend.cc.orig	2003-08-22 15:33:31.000000000 +0200
+++ pdns/backends/bind/bindbackend.cc	2003-10-09 18:24:43.000000000 +0200
@@ -40,9 +40,21 @@
 #include "misc.hh"
 #include "dynlistener.hh"
 #include "lock.hh"
+
+#undef L
+#define L ::bindLog()
+
 using namespace std;
 
 
+// use own logger across corresponding classes
+// to properly identify log text from BindBackend
+Logger &bindLog(void)
+{
+  static Logger lbind("bindbe");
+  return lbind;
+}
+
 cmap_t BindBackend::d_qnames;
 map<int,vector<vector<BBResourceRecord>* > > BindBackend::d_zone_id_map;  
 set<string> BindBackend::s_contents;
diff -Naur pdns/backends/bind/bindbackend2.cc.orig pdns/backends/bind/bindbackend2.cc
--- pdns/backends/bind/bindbackend2.cc.orig	2003-08-22 15:33:31.000000000 +0200
+++ pdns/backends/bind/bindbackend2.cc	2003-10-09 18:24:11.000000000 +0200
@@ -42,8 +42,21 @@
 #include "misc.hh"
 #include "dynlistener.hh"
 #include "lock.hh"
+
+#undef L
+#define L ::bind2Log()
+
 using namespace std;
 
+
+// use own logger across corresponding classes
+// to properly identify log text from Bind2Backend
+Logger &bind2Log(void)
+{
+  static Logger lbind2("bind2be");
+  return lbind2;
+}
+
 /** new scheme of things:
     we have zone-id map
     a zone-id has a vector of DNSResourceRecords */
diff -Naur pdns/backends/gsql/gsqlbackend.cc.orig pdns/backends/gsql/gsqlbackend.cc
--- pdns/backends/gsql/gsqlbackend.cc.orig	2003-08-22 15:33:31.000000000 +0200
+++ pdns/backends/gsql/gsqlbackend.cc	2003-10-09 18:25:07.000000000 +0200
@@ -19,6 +19,18 @@
 
 #include <sstream>
 
+#undef L
+#define L ::gsqlLog()
+
+
+// use own logger across corresponding classes
+// to properly identify log text from GSQLBackend
+Logger &gsqlLog(void)
+{
+  static Logger lgsql("gsql");
+  return lgsql;
+}
+
 void GSQLBackend::setNotified(uint32_t domain_id, uint32_t serial)
 {
   char output[1024];
diff -Naur pdns/randombackend.cc.orig pdns/randombackend.cc
--- pdns/randombackend.cc.orig	2003-08-22 14:57:14.000000000 +0200
+++ pdns/randombackend.cc	2003-10-09 18:25:23.000000000 +0200
@@ -24,6 +24,18 @@
 #include "ahuexception.hh"
 #include "logger.hh"
 
+#undef L
+#define L ::randLog()
+
+
+// use own logger across corresponding classes
+// to properly identify log text from RandomBackend
+Logger &randLog(void)
+{
+  static Logger lrand("randbe");
+  return lrand;
+}
+
 /* FIRST PART */
 class RandomBackend : public DNSBackend
 {
